Skip to Content
New release 12 available 🎉
API ReferenceManagementReceived Reports

Received Reports

GET/v1/reportsGET /v1/reports

Code samples

# You can also use wget curl -X GET /v1/reports \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

GET /v1/reports

Gets reports based on the provided request parameters.

Parameters

NameInTypeRequiredDescription
selectquerystringfalsenone
filterquerystringfalsenone
includequerystringfalsenone
sortquerystringfalsenone
takequeryinteger(int32)falsenone
skipqueryinteger(int32)falsenone

Example responses

200 Response

{"success":true,"code":0,"message":"string","reports":[{"id":0,"uid":"string","name":"string","version":"string","date":"2019-08-24T14:15:22Z","userKey":"string","machineId":"string","clientId":"string","clientName":"string","contentType":"string","content":"string","address":"string","geoLocation":"string","properties":[{"id":0,"name":"string","value":"string","reportId":0}]}],"totalReportsCount":0}
{ "success": true, "code": 0, "message": "string", "reports": [ { "id": 0, "uid": "string", "name": "string", "version": "string", "date": "2019-08-24T14:15:22Z", "userKey": "string", "machineId": "string", "clientId": "string", "clientName": "string", "contentType": "string", "content": "string", "address": "string", "geoLocation": "string", "properties": [ { "id": 0, "name": "string", "value": "string", "reportId": 0 } ] } ], "totalReportsCount": 0 }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.GetReportResponse

Authentication: API key (x-api-key).

POST/v1/reports/geolocationPOST /v1/reports/geolocation

Code samples

# You can also use wget curl -X POST /v1/reports/geolocation \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

POST /v1/reports/geolocation

Resolves where the named reports’ client addresses are and stores the answers. The counterpart of M:Babel.Licensing.Service.Controllers.V1.ManagementController.ResolveLicenseTraceLocations(Babel.Licensing.Service.Management.ResolveLicenseTraceLocationsRequest), and just as narrow.

Body parameter

{ "reportIds": [ 0 ], "limit": 0 }

Parameters

NameInTypeRequiredDescription
bodybodyManagement.ResolveReportLocationsRequestfalseWhich reports to locate, or how many to take.

Example responses

200 Response

{"success":true,"code":0,"message":"string","resolvedCount":0,"unresolvedCount":0}
{ "success": true, "code": 0, "message": "string", "resolvedCount": 0, "unresolvedCount": 0 }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.ResolveReportLocationsResponse

Authentication: API key (x-api-key).

DELETE/v1/reports/{reportId}DELETE /v1/reports/{reportId}

Code samples

# You can also use wget curl -X DELETE /v1/reports/{reportId} \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

DELETE /v1/reports/\{reportId\}

Deletes a report with the specified ID.

Parameters

NameInTypeRequiredDescription
reportIdpathinteger(int32)trueThe ID of the report to delete.

Example responses

200 Response

{"success":true,"code":0,"message":"string"}
{ "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.DeleteReportResponse

Authentication: API key (x-api-key).

Last updated on